Correction crash
[auf_roundup.git] / build / lib / roundup / version_check.py
CommitLineData
c638d827
CR
1#!/usr/bin/env python
2#
3# Copyright (c) 2001 Bizar Software Pty Ltd (http://www.bizarsoftware.com.au/)
4# This module is free software, and you may redistribute it and/or modify
5# under the same terms as Python, so long as this copyright message and
6# disclaimer are retained in their original form.
7#
8# IN NO EVENT SHALL BIZAR SOFTWARE PTY LTD BE LIABLE TO ANY PARTY FOR
9# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
10# OUT OF THE USE OF THIS CODE, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE
11# POSSIBILITY OF SUCH DAMAGE.
12#
13# BIZAR SOFTWARE PTY LTD SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
14# BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
15# FOR A PARTICULAR PURPOSE. THE CODE PROVIDED HEREUNDER IS ON AN "AS IS"
16# BASIS, AND THERE IS NO OBLIGATION WHATSOEVER TO PROVIDE MAINTENANCE,
17# SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
18#
19# $Id: version_check.py,v 1.4 2004-02-11 23:55:08 richard Exp $
20
21"""Enforces the minimum Python version that Roundup requires.
22"""
23__docformat__ = 'restructuredtext'
24
25import sys
26if not hasattr(sys, 'version_info') or sys.version_info[:3] < (2,1,1):
27 print "Content-Type: text/plain\n"
28 print "Roundup requires Python 2.1.1 or newer."
29 sys.exit(0)
30
31# vim: set filetype=python ts=4 sw=4 et si